/**
 * @file binary.ts
 * @description
 * @author Dushan Ranasinghage
 * @copyright Copyright 2023 Dushan Ranasinghage, Alright Reserved.
 */
/**
 * Binary search algorithm
 *
 * @name binarySearch
 * @since  1.0.0
 * @access  public
 *
 * @property {T[]} arr Any type of array.
 * @property {T} target Target element.
 */
declare function binarySearch<T>(arr: T[], target: T): number;
export default binarySearch;
