"use strict";
/**
 * @file index.ts
 * @description
 * @author Dushan Ranasinghage
 * @copyright Copyright 2023 Dushan Ranasinghage, Alright Reserved.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.heapSort = exports.quickSort = exports.mergeSort = exports.selectionSort = exports.insertionSort = exports.bubbleSort = void 0;
const bubble_1 = __importDefault(require("./bubble"));
exports.bubbleSort = bubble_1.default;
const insertion_1 = __importDefault(require("./insertion"));
exports.insertionSort = insertion_1.default;
const selection_1 = __importDefault(require("./selection"));
exports.selectionSort = selection_1.default;
const merge_1 = __importDefault(require("./merge"));
exports.mergeSort = merge_1.default;
const quick_1 = __importDefault(require("./quick"));
exports.quickSort = quick_1.default;
const heap_1 = __importDefault(require("./heap"));
exports.heapSort = heap_1.default;
// Sample comment
/**
 * Short description. (use period)
 *
 * @since  x.x.x
 * @access (private, protected, or public)
 *
 * @type     {type}
 * @property {type} key Description.
 *
 * @member   {type} realName
 * @memberof className
 */ 
