/**
 * @file selection.ts
 * @description
 * @author Dushan Ranasinghage
 * @copyright Copyright 2023 Dushan Ranasinghage, Alright Reserved.
 */
/**
 * Selection sort algorithm
 *
 * @name selectionSort
 * @since  1.0.0
 * @access  public
 *
 * @property {T[]} arr Any type of array.
 */
declare function selectionSort<T>(arr: T[]): T[];
export default selectionSort;
