import * as sort from './sort';
import * as search from './search';
declare const _algo: {
    linearSearch: typeof search.linearSearch;
    binarySearch: typeof search.binarySearch;
    bubbleSort: typeof sort.bubbleSort;
    insertionSort: typeof sort.insertionSort;
    selectionSort: typeof sort.selectionSort;
    mergeSort: typeof sort.mergeSort;
    quickSort: typeof sort.quickSort;
    heapSort: typeof sort.heapSort;
};
export default _algo;
