/**
 * @file linear.ts
 * @description
 * @author Dushan Ranasinghage
 * @copyright Copyright 2023 Dushan Ranasinghage, Alright Reserved.
 */
/**
 * Linear search algorithm
 *
 * @name linearSearch
 * @since  1.0.0
 * @access  public
 *
 * @property {T[]} arr Any type of array.
 * @property {T} target Target element.
 */
declare function linearSearch<T>(arr: T[], target: T): number;
export default linearSearch;
