/**
 * @file heap.ts
 * @description
 * @author Dushan Ranasinghage
 * @copyright Copyright 2023 Dushan Ranasinghage, Alright Reserved.
 */
/**
 * Heap sort algorithm
 *
 * @name heapSort
 * @since  1.0.0
 * @access  public
 *
 * @property {T[]} arr Any type of array.
 */
declare function heapSort<T>(arr: T[]): T[];
export default heapSort;
