/**
 * @file insertion.ts
 * @description
 * @author Dushan Ranasinghage
 * @copyright Copyright 2023 Dushan Ranasinghage, Alright Reserved.
 */
/**
 * Insertion sort algorithm
 *
 * @name insertionSort
 * @since  1.0.0
 * @access  public
 *
 * @property {T[]} arr Any type of array.
 */
declare function insertionSort<T>(arr: T[]): T[];
export default insertionSort;
